Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Sat, 11 Feb 2012 10:48:52 -0800

Eli,

Emacs 24.0.92, built 1/22/2012

Getting back to the original issue, I can reproduce the clipboard crash 100% running Emacs -nw in a command prompt. Here is the thread and bt info I have right now:

[Switching to thread 51 (Thread 8980.0x1390)]#0  0x7d61c846 in ?? ()
(gdb) bt
#0  0x7d61c846 in ?? ()
#1  0x7d4d8c0d in RegisterWaitForInputIdle () from C:\WINDOWS\syswow64\kernel32.dll
#2  0x00000230 in ?? ()
#3  0xffffffff in ?? ()
#4  0x00000000 in ?? ()
(gdb) t 3
[Switching to thread 3 (Thread 8980.0x2164)]#0  0x7d61c846 in ?? ()
(gdb) bt
#0  0x7d61c846 in ?? ()
#1  0x7d4d8c0d in RegisterWaitForInputIdle () from C:\WINDOWS\syswow64\kernel32.dll
#2  0x00000248 in ?? ()
#3  0xffffffff in ?? ()
#4  0x00000000 in ?? ()
(gdb) t 2
[Switching to thread 2 (Thread 8980.0x1b48)]#0  0x7d61d06f in ?? ()
(gdb) bt
#0  0x7d61d06f in ?? ()
#1  0x7d63f948 in ?? ()
#2  0x7d4dfe37 in KERNEL32!GetConsoleOutputCP () from C:\WINDOWS\syswow64\kernel32.dll
#3  0x00000000 in ?? ()
(gdb) t 1
[Switching to thread 1 (Thread 8980.0x2040)]#0  0x01259f9f in append_glyph (it=0x82ad3c) at term.c:1491
1491    term.c: No such file or directory.
        in term.c
(gdb) bt
#0  0x01259f9f in append_glyph (it=0x82ad3c) at term.c:1491
#1  0x0125a221 in produce_glyphs (it=0x82ad3c) at term.c:1576
#2  0x0125bb74 in produce_special_glyphs (it=0x82b604, what=IT_TRUNCATION) at term.c:1946
#3  0x0120dc3d in insert_left_trunc_glyphs (it=0x82c890) at xdisp.c:17934
#4  0x012125ec in display_line (it=0x82c890) at xdisp.c:19369
#5  0x01207dba in try_window (window=54815237, pos=..., flags=1) at xdisp.c:15955
#6  0x012059da in redisplay_window (window=54815237, just_this_one_p=0) at xdisp.c:15480
#7  0x011ff611 in redisplay_window_0 (window=54815237) at xdisp.c:13603
#8  0x01032c47 in internal_condition_case_1 (bfun=0x11ff5de <redisplay_window_0>, arg=54815237, handlers=54725470,
    hfun=0x11ff5bd <redisplay_window_error>) at eval.c:1537
#9  0x011ff5a4 in redisplay_windows (window=54815237) at xdisp.c:13583
#10 0x011fda72 in redisplay_internal () at xdisp.c:13160
#11 0x011feab7 in redisplay_preserve_echo_area (from_where=12) at xdisp.c:13411
#12 0x0104bd28 in wait_reading_process_output (time_limit=60, microsecs=0, read_kbd=-1, do_display=1, wait_for_cell=54741018,
    wait_proc=0x0, just_wait_proc=0) at process.c:4854
#13 0x010f87ce in sit_for (timeout=240, reading=1, do_display=1) at dispnew.c:6060
#14 0x010091b1 in read_char (commandflag=1, nmaps=6, maps=0x82f9a0, prev_event=54741018, used_mouse_menu=0x82fa88,
    end_time=0x0) at keyboard.c:2688
#15 0x0101c1d2 in read_key_sequence (keybuf=0x82fc04, bufsize=30, prompt=54741018, dont_downcase_last=0,
    can_return_switch_frame=1, fix_current_buffer=1) at keyboard.c:9300
#16 0x01005c17 in command_loop_1 () at keyboard.c:1448
#17 0x01032b5f in internal_condition_case (bfun=0x100561f <command_loop_1>, handlers=54798746, hfun=0x1004e3e <cmd_error>)
    at eval.c:1499
#18 0x0100527b in command_loop_2 (ignore=54741018) at keyboard.c:1159
#19 0x01032582 in internal_catch (tag=54796770, func=0x1005257 <command_loop_2>, arg=54741018) at eval.c:1256
#20 0x01005237 in command_loop () at keyboard.c:1138
#21 0x01004813 in recursive_edit_1 () at keyboard.c:758
#22 0x01004b2e in Frecursive_edit () at keyboard.c:822
#23 0x01002839 in main (argc=2, argv=0xb04a28) at emacs.c:1715
(gdb)

I realize this doesn't say anything about clipboard, but if I run it without GDB attached, that is the error alert box I get.

---------------------------
Emacs Clipboard: emacs.exe - Application Error
---------------------------
The exception unknown software exception (0xc0000005) occurred in the application at location 0x01259f9f.

Click on OK to terminate the program
Click on CANCEL to debug the program
---------------------------
OK   Cancel   
---------------------------

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Sunday, February 05, 2012 10:22 AM
To: martin rudalics
Cc: [email-masked]; Joseph Jones; [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> Date: Sun, 05 Feb 2012 19:16:28 +0100
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked],  
> [email-masked]
> 
>  > It does, to stderr of the inferior.
> 
> How can I look at "stderror of the inferior" after M-x gdb?

You can't, not on Windows.